Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.flow.hadoop.stream
Class HadoopMapStreamGraph

    java.lang.Object
      cascading.flow.stream.StreamGraph
          cascading.flow.stream.StepStreamGraph
              cascading.flow.hadoop.stream.HadoopMapStreamGraph

    public class HadoopMapStreamGraph

extends StepStreamGraph

Field Summary

Fields inherited from class cascading.flow.stream.StepStreamGraph
`flowProcess, step`

Fields inherited from class cascading.flow.stream.StreamGraph
`DOT_FILE_PATH, ERROR_DOT_FILE_NAME`

Constructor Summary
`HadoopMapStreamGraph(HadoopFlowProcess flowProcess, HadoopFlowStep step, Tap source)`

Method Summary
`protected void` | `buildGraph()`
`protected Gate` | `createCoGroupGate(CoGroup element)`
`protected Gate` | `createGroupByGate(GroupBy element)`
`protected MemoryHashJoinGate` | `createNonBlockingJoinGate(HashJoin join)`
`protected SinkStage` | `createSinkStage(Tap element)`
`SourceStage` | `getStreamedHead()`
`protected boolean` | `stopOnElement(FlowElement lhsElement, List<FlowElement> successors)`

Methods inherited from class cascading.flow.stream.StepStreamGraph
`createBlockingJoinGate, createHashJoinGate, createMergeStage, findExisting, getProperty, handleDuct, setScopes, setTraps`

Methods inherited from class cascading.flow.stream.StreamGraph
`addHead, addPath, addPath, addTail, asPathList, bind, cleanup, countAllEventingPathsTo, createFork, createNextFor, createOpenReducingWindow, createOpenWindow, findAllNextFor, findAllPreviousFor, getAllDucts, getHeads, getReversedGraph, getReversedTopologicalOrderIterator, getTails, getTopologicalOrderIterator, ordinalBetween, prepare, printGraph, printGraph, printGraphError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HadoopMapStreamGraph

    public HadoopMapStreamGraph(HadoopFlowProcess flowProcess,
                                HadoopFlowStep step,
                                Tap source)

Method Detail

### getStreamedHead

    public SourceStage getStreamedHead()

### buildGraph

    protected void buildGraph()

### createSinkStage

    protected SinkStage createSinkStage(Tap element)

  Overrides:
    `createSinkStage` in class `StepStreamGraph`

### createCoGroupGate

    protected Gate createCoGroupGate(CoGroup element)

  Specified by:
    `createCoGroupGate` in class `StepStreamGraph`

### createGroupByGate

    protected Gate createGroupByGate(GroupBy element)

  Specified by:
    `createGroupByGate` in class `StepStreamGraph`

### createNonBlockingJoinGate

    protected MemoryHashJoinGate createNonBlockingJoinGate(HashJoin join)

  Overrides:
    `createNonBlockingJoinGate` in class `StepStreamGraph`

### stopOnElement

    protected boolean stopOnElement(FlowElement lhsElement,
                                    List<FlowElement> successors)

  Specified by:
    `stopOnElement` in class `StepStreamGraph`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.